<!doctype html>
<html lang="fr">
  <head>
    <title>Postulation Apprentis | Consultation</title>
    <?php
      require_once("tequila/tequila.php");
      $oClient = new TequilaClient();
      $oClient->SetApplicationName('Formulaire apprentissage');
      $oClient->SetWantedAttributes(array('uniqueid','firstname','name'));
      $oClient->SetWishedAttributes(array('user'));
      $oClient->SetAllowsFilter('categorie=epfl-guests');
      $oClient->Authenticate();
      $user = $oClient->getValue('user');
      $firstname = $oClient->getValue('firstname');
      $name = $oClient->getValue('name');
      $guest_sciper = $oClient->getValue('uniqueid');
      $sKey = $oClient->GetKey();

      include('templates/head.php');
      include('./helpers.php');
    ?>
  </head>
  <body>
    <?php include('templates/header.php'); $postulation = getPostulationBySciper($pdo, $guest_sciper)[0]; ?>
    <main id="main" role="main" class="content container-grid">
      <h3 class="mb-5">Candidature pour un apprentissage</h3>
      <h5 class="mb-3">Votre candidature - <?= date('d/m/Y', strtotime($postulation['applicant_application_date'])) ?></h5>
      <div class="form-group">
        <!-- si plusieures postulations -->
        <label>Vous avez postulé plusieurs fois, choisissez votre postulation</label>
        <select id="select-input" class="custom-select mb-3">
          <option value="4">Job, date 1</option>
          <option value="5">Job, date 2</option>
        </select>
        </div>
      <article>
        <?php
          include('templates/viewPostulationTables/personnalInfosTable.php');
          include('templates/viewPostulationTables/responsiblesInfosTable.php');
          include('templates/viewPostulationTables/scolaritiesInfosTable.php');
          include('templates/viewPostulationTables/proActivitiesInfosTable.php');
          include('templates/viewPostulationTables/practicesInfosTable.php');
          include('templates/viewPostulationTables/filesTables.php');
        // print_r($postulation);
        ?>
        </pre>
        <button type="button" class="btn btn-primary btn-block btn-sm mt-3 mb-2" id="delPostB">Retirer ma postulation</button>
      </article>
    </main>
  </body>
</html>